# Taken from the fedora ruby-2.2.3 .spec. Thanks!
%define subrel 3

%global major_version 2
%global minor_version 7
%global teeny_version 5
%global major_minor_version %{major_version}.%{minor_version}

%global ruby_version %{major_minor_version}.%{teeny_version}
%global ruby_release %{ruby_version}

# Specify the named version. It has precedense to revision.
#%%global milestone rc1

# Keep the revision enabled for pre-releases from SVN.
#%%global revision 48936

%global ruby_archive %{name}-%{ruby_version}

# If revision and milestone are removed/commented out, the official release build is expected.
%if 0%{?milestone:1}%{?revision:1} != 0
%global development_release %{?milestone}%{?!milestone:%{?revision:r%{revision}}}
%global ruby_archive %{ruby_archive}-%{?milestone}%{?!milestone:%{?revision:r%{revision}}}
%endif

# We need to keep this increasing even with new versions of ruby unless all gems get new release :(
%define rel 33
%{!?release_string:%global release_string %mkrel %{?development_release:0.}%{rel}%{?development_release:.%{development_release}}}

# The RubyGems library has to stay out of Ruby directory three, since the
# RubyGems should be share by all Ruby implementations.
%global rubygems_dir %{_datadir}/rubygems

%global molinillo_version 0.5.7
%global rake_version 13.0.1
%global rubygems_version 3.1.2

# Default gems
%global benchmark_version 0.1.0
%global bigdecimal_version 2.0.0
%global bundler_version 2.2.24
%global cgi_version 0.1.0.1
%global csv_version 3.1.2
%global date_version 3.0.3
%global dbm_version 1.1.0
%global delegate_version 0.1.0
%global did_you_mean_version 1.4.0
%global etc_version 1.1.0
%global fcntl_version 1.0.0
%global fiddle_version 1.0.0
%global fileutils_version 1.4.1
%global forwardable_version 1.3.1
%global gdbm_version 2.1.0
%global getoptlong_version 0.1.0
%global io_console_version 0.5.6
%global ipaddr_version 1.2.2
%global irb_version 1.2.6
%global json_version 2.3.0
%global logger_version 1.4.2
%global matrix_version 0.2.0
%global mutex_m_version 0.1.0
%global net_pop_version 0.1.0
%global net_smtp_version 0.1.0
%global observer_version 0.1.0
%global open3_version 0.1.0
%global openssl_version 2.1.3
%global ostruct_version 0.2.0
%global prime_version 0.1.1
%global pstore_version 0.1.0
%global psych_version 3.1.0
%global racc_version 1.4.16
%global rdoc_version 6.2.1.1
%global readline_ext_version 0.1.0
%global readline_version 0.0.2
%global reline_version 0.1.5
%global rexml_version 3.2.3.1
%global rss_version 0.2.8
%global sdbm_version 1.0.0
%global singleton_version 0.1.0
%global stringio_version 0.1.0
%global strscan_version 1.0.3
%global timeout_version 0.1.0
%global tracer_version 0.1.0
%global uri_version 0.10.0
%global webrick_version 1.6.1
%global yaml_version 0.1.0
%global zlib_version 1.1.0

# Bundled gems
%global minitest_version 5.13.0
%global net_telnet_version 0.2.0
%global power_assert_version 1.1.7
%global test_unit_version 3.3.4
%global xmlrpc_version 0.3.0

# Allow updating them in separate packages
%global build_rubygems 1
%global build_bigdecimal 1
%global build_json 1
%global build_minitest 0
%global build_rake 1
%global build_rdoc 1
%global build_racc 0

%if %build_bigdecimal
%global exclude_bigdecimal %nil
%else
%global exclude_bigdecimal %exclude
%endif
%if %build_json
%global exclude_json %nil
%else
%global exclude_json %exclude
%endif
%if %build_minitest
%global exclude_minitest %nil
%else
%global exclude_minitest %exclude
%endif
%if %build_rake
%global exclude_rake %nil
%else
%global exclude_rake %exclude
%endif
%if %build_rdoc
%global exclude_rdoc %nil
%else
%global exclude_rdoc %exclude
%endif
%if %build_racc
%global exclude_racc %nil
%else
%global exclude_racc %exclude
%endif

# Might not be needed in the future, if we are lucky enough.
# https://bugzilla.redhat.com/show_bug.cgi?id=888262
%global tapset_root %{_datadir}/systemtap
%global tapset_dir %{tapset_root}/tapset
%global tapset_libdir %(echo %{_libdir} | sed 's/64//')*

%global _normalized_cpu %(echo %{_target_cpu} | sed 's/^ppc/powerpc/;s/i.86/i386/;s/sparcv./sparc/')

%global with_rubypick 1

# Additional defines by Mageia.

%define subver %{major_minor_version}
%define rubyapi %{subver}.%{teeny_version}
%define rubyver %{ruby_version}

%define libname %mklibname ruby %{subver}

%global ruby_libdir %{_datadir}/%{name}
%global ruby_libarchdir %{_libdir}/%{name}

# This is the local lib/arch and should not be used for packaging.
%global ruby_sitedir site_ruby
%global ruby_sitelibdir %{_prefix}/local/share/%{name}/%{ruby_sitedir}
%global ruby_sitearchdir %{_prefix}/local/%{_lib}/%{name}/%{ruby_sitedir}

# This is the general location for libs/archs compatible with all
# or most of the Ruby versions available in the Fedora repositories.
%global ruby_vendordir vendor_ruby
%global ruby_vendorlibdir %{ruby_libdir}/%{ruby_vendordir}
%global ruby_vendorarchdir %{ruby_libarchdir}/%{ruby_vendordir}

# The RubyGems library has to stay out of Ruby directory tree, since the
# RubyGems should be shared by all Ruby implementations.
%define gem_dir %{_datadir}/gems

Summary:	Object Oriented Script Language
Name:		ruby
Version:	%{rubyver}
Release: 	%release_string
License:	Ruby or BSD
Group:		Development/Ruby
BuildRequires:	autoconf
BuildRequires:	byacc
BuildRequires:	bison
BuildRequires:	doxygen
BuildRequires:	pkgconfig(ncurses)
BuildRequires:  pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(yaml-0.1)
BuildRequires:	readline-devel
BuildRequires:	db-devel
BuildRequires:  gdbm-devel >= 1.8.3
BuildRequires:	rpm-mageia-setup >= 1.158
# Needed to pass test_set_program_name(TestRubyOptions)
BuildRequires:	procps
# This causes gems to be installed in the home directory and breaks build
BuildConflicts:	ruby-RubyGems
Conflicts:	ruby-devel < 2.0.0.p451-4.mga5
Obsoletes:	ruby-rexml
Provides:	ruby-rexml
# Tcl/Tk support was removed from stdlib in Ruby 2.4
Obsoletes:	ruby-tk < 2.4.0
# explicit file provides (since such requires are automatically added by find-requires)
Provides: /usr/bin/ruby
Provides: ruby(abi) = %subver
Provides: ruby(release) = %rubyver
Requires:	ruby-RubyGems >= %rubygems_version
# https://bugs.ruby-lang.org/issues/16431
Requires: rubygem(did_you_mean) >= %{did_you_mean_version}
Source0:	http://ftp.ruby-lang.org/pub/ruby/%{subver}/ruby-%{rubyver}.tar.xz
Source1:	operating_system.rb
Source3:	ruby.macros
Source4:	rubygems.macros
# From FC:
# RPM dependency generators.
Source8: rubygems.attr
Source9: rubygems.req
Source10: rubygems.prov
# git clone --no-checkout git@github.com:rubygems/rubygems.git
# git -C rubygems archive --prefix=rubygems/ -v -o ruby-rubygems-bundler-v2.2.24.txz bundler-v2.2.24
Source11: ruby-rubygems-bundler-v%{bundler_version}.txz
URL:		http://ruby-lang.org/

# == FEDORA PATCHES BEGINS ==
# Fix ruby_version abuse.
# https://bugs.ruby-lang.org/issues/11002
Patch0: ruby-2.3.0-ruby_version.patch
# http://bugs.ruby-lang.org/issues/7807
Patch1: ruby-2.1.0-Prevent-duplicated-paths-when-empty-version-string-i.patch
# Allows to override libruby.so placement. Hopefully we will be able to return
# to plain --with-rubyarchprefix.
# http://bugs.ruby-lang.org/issues/8973
Patch2: ruby-2.1.0-Enable-configuration-of-archlibdir.patch
# Force multiarch directories for i.86 to be always named i386. This solves
# some differencies in build between Fedora and RHEL.
Patch3: ruby-2.1.0-always-use-i386.patch
# Allows to install RubyGems into custom directory, outside of Ruby's tree.
# http://bugs.ruby-lang.org/issues/5617
Patch4: ruby-2.1.0-custom-rubygems-location.patch
# Make mkmf verbose by default
Patch5: ruby-1.9.3-mkmf-verbose.patch
# The ABRT hook used to be initialized by preludes via following patches:
# https://bugs.ruby-lang.org/issues/8566
# https://bugs.ruby-lang.org/issues/15306
# Unfortunately, due to https://bugs.ruby-lang.org/issues/16254
# and especially since https://github.com/ruby/ruby/pull/2735
# this would require boostrapping:
# https://lists.fedoraproject.org/archives/list/ruby-sig@lists.fedoraproject.org/message/LH6L6YJOYQT4Y5ZNOO4SLIPTUWZ5V45Q/
# For now, load the ABRT hook via this simple patch:
Patch6: ruby-2.7.0-Initialize-ABRT-hook.patch
# Workaround "an invalid stdio handle" error on PPC, due to recently introduced
# hardening features of glibc (rhbz#1361037).
# https://bugs.ruby-lang.org/issues/12666
Patch9: ruby-2.3.1-Rely-on-ldd-to-detect-glibc.patch

# == FEDORA PATCHES ENDS ==
# operating_system.rb sets default_dir to user_dir for non root, this causes the build
# to install gems into user dir
#Patch20: ruby-2.3.0-Do-not-install-to-user-dir.patch

# Upstream fix for popen_deadlock test missing -ldl
Patch30: ruby-2.7.0-Fix-linkage-of-popen_deadlock-test.patch

#
# Security patches
# P100 -> ...
#
# CVE-2021-43809: https://github.com/rubygems/rubygems/pull/5142
Patch100:	90b1ed8b9f8b636aa8c913f7b5a764a2e03d179c.patch

%package	-n %{libname}
Summary:	Libraries necessary to run Ruby
Group:		Development/Ruby

%package	doc
Summary:	Documentation for the powerful language Ruby
Group:		Development/Ruby
BuildArch:	noarch

%package	devel
Summary:	Development file for the powerful language Ruby
Group:		Development/Ruby
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}

%if %build_rubygems
%package	RubyGems
Summary:	The Ruby standard for packaging ruby libraries
Group:		Development/Ruby
Version:	%{rubygems_version}
Requires:	ruby(abi) = %{subver}
Requires:	rubygem(json) >= %{json_version}
Requires:	rubygem(openssl) >= %{openssl_version}
Requires:	rubygem(psych) >= %{psych_version}
# This should probably not be a strict require but --rdoc/--ri fail badly without it
Requires:	rubygem(rdoc) >= %{rdoc_version}
Provides:	gem = %{rubygems_version}
Provides:	rubygems = %{rubygems_version}
Provides:	ruby(rubygems) = %{rubygems_version}
Conflicts:	rpm-mageia-setup-build < 1.159
Conflicts:	ruby < 2.4.1-10
BuildArch:	noarch
%endif

%if %build_rake
%package	rake
Summary:	Simple ruby build program with capabilities similar to make
Group:		Development/Ruby
Version:	%{rake_version}
Requires:	ruby(abi) = %{subver}
Provides:	rubygem(rake) = %{version}
BuildArch:	noarch
%endif

%if %build_minitest
%package	minitest
Summary:	Minitest provides a complete suite of testing facilities
Group:		Development/Ruby
Version:	%{minitest_version}
License:	MIT
Requires:	ruby(abi) = %{subver}
Requires:	ruby(rubygems) >= %{rubygems_version}
Provides:	rubygem(minitest) = %{version}
BuildArch:	noarch
%endif

%package	openssl
Summary:	OpenSSL provides SSL, TLS and general purpose cryptography
Group:		Development/Ruby
Version:	%{openssl_version}
License:	Ruby or BSD
Requires:	ruby(abi) = %{subver}
Requires:	ruby(rubygems) >= %{rubygems_version}
Provides:	rubygem(openssl) = %{version}

%package	power_assert
Summary:	Power Assert for Ruby
Group:		Development/Ruby
Version:	%{power_assert_version}
License:	BSD
Requires:	ruby(abi) = %{subver}
Requires:	ruby(rubygems) >= %{rubygems_version}
Provides:	rubygem(power_assert) = %{version}
BuildArch:	noarch

%if %build_json
%package	json
Summary:	This is a JSON implementation as a Ruby extension in C
Group:		Development/Ruby
Version:	%{json_version}
License:	Ruby or GPLv2
Requires:	ruby(abi) = %{subver}
Requires:	ruby(rubygems) >= %{rubygems_version}
Provides:	rubygem(json) = %{version}
Conflicts:	ruby < 2.4.1
%endif

%if %build_rdoc
%package	rdoc
Summary:	A tool to generate HTML and command-line documentation for Ruby projects
Group:		Development/Ruby
Version:	%{rdoc_version}
License:	GPLv2 and Ruby and MIT
Requires:	ruby(abi) = %{subver}
Requires:	ruby(rubygems) >= %{rubygems_version}
Requires:	rubygem(irb) = %{irb_version}
Requires:	rubygem(io-console) >= %{io_console_version}
Requires:	rubygem(json) >= %{json_version}
Provides:	rubygem(rdoc) = %{version}
Provides:	rdoc = %{rdoc_version}
Provides:	ri = %{rdoc_version}
BuildArch:	noarch
%endif

%package	irb
Summary:	The Interactive Ruby
Group:		Development/Ruby
Provides:	irb = %{irb_version}-%{release}
Provides:	rubygem(irb) = %{irb_version}-%{release}
Conflicts:	ruby < 1.9
BuildArch:	noarch

%if %build_bigdecimal
%package	bigdecimal
Summary:	BigDecimal provides arbitrary-precision floating point decimal arithmetic
Group:		Development/Ruby
Version:	%{bigdecimal_version}
License:	GPL+ or Artistic
Requires:	ruby(abi) = %{subver}
Provides:	rubygem(bigdecimal) = %{version}
Requires:	ruby(rubygems) >= %{rubygems_version}
%endif

%package	did_you_mean
Summary:	"Did you mean?" experience in Ruby
Version:	%{did_you_mean_version}
Group:		Development/Ruby
License:	MIT
Requires:	ruby(rubygems) >= %{rubygems_version}
Provides:	rubygem(did_you_mean) = %{version}

%package	io-console
Summary:	IO/Console is a simple console utilizing library
Group:		Development/Ruby
Version:	%{io_console_version}
Requires:	ruby(abi) = %{subver}
Requires:	ruby(rubygems) >= %{rubygems_version}
Provides:	rubygem(io-console) = %{version}

%package	psych
Summary:	A libyaml wrapper for Ruby
Version:	%{psych_version}
Group:		Development/Ruby
License:	MIT
Requires:	ruby(abi) = %{subver}
Requires:	ruby(rubygems) >= %{rubygems_version}
Provides:	rubygem(psych) = %{version}
Conflicts:	ruby < 2.4.1-11

%package	net-telnet
Summary:	Provides telnet client functionality
Version:	%{net_telnet_version}
Group:		Development/Ruby
Requires:	ruby(rubygems) >= %{rubygems_version}
Provides:	rubygem(net-telnet) = %{version}

%package	test-unit
Summary:	test/unit compatible API testing framework
Version:	%{test_unit_version}
Group:		Development/Ruby
License:	MIT
Provides:	rubygem(test-unit) = %{test_unit_version}
Requires:	ruby(abi) = %{subver}
Requires:	ruby(rubygems) >= %{rubygems_version}
Provides:	rubygem(test-unit) = %{version}
Conflicts:	ruby < 2.0.0
BuildArch:	noarch

%package	xmlrpc
Summary:	XMLRPC is a lightweight protocol that enables remote procedure calls over HTTP
Version:	%{xmlrpc_version}
Group:		Development/Ruby
License:	Ruby or BSD
Requires:	ruby(abi) = %{subver}
Requires:	ruby(rubygems) >= %{rubygems_version}
Provides:	rubygem(xmlrpc) = %{version}
BuildArch:	noarch

%package	racc
Summary:	Racc is a LALR(1) parser generator
Version:	%{racc_version}
License:	MIT
Requires:	ruby(rubygems) >= %{rubygems_version}
Provides:	rubygem(racc) = %{version}

%package	bundler
Summary:	Library and utilities to manage a Ruby application's gem dependencies
Version:	%{bundler_version}
License:	MIT
Requires:	ruby(rubygems) >= %{rubygems_version}
Requires:	rubygem(io-console)
Provides:	rubygem(bundler) = %{version}-%{release}
BuildArch:	noarch

%description
Ruby is the interpreted scripting language for quick and
easy object-oriented programming.  It has many features to
process text files and to do system management tasks (as in
Perl).  It is simple, straight-forward, and extensible.

%description	doc
Ruby is the interpreted scripting language for quick and
easy object-oriented programming.  It has many features to
process text files and to do system management tasks (as in
Perl). It is simple, straight-forward, and extensible.

This package contains the Ruby's documentation

%description	-n %{libname}
This package includes the libruby, necessary to run Ruby.

%description	devel
Ruby is the interpreted scripting language for quick and
easy object-oriented programming.  It has many features to
process text files and to do system management tasks (as in
Perl). It is simple, straight-forward, and extensible.

This package contains the Ruby's devel files.

%if %build_rubygems
%description	RubyGems
RubyGems is the Ruby standard for publishing and managing third party
libraries.
%endif

%if %build_rake
%description	rake
Rake is a Make-like program implemented in Ruby. Tasks and dependencies are
specified in standard Ruby syntax.
%endif

%if %build_rdoc
%description 	rdoc
RDoc produces HTML and command-line documentation for Ruby projects.  RDoc
includes the 'rdoc' and 'ri' tools for generating and displaying online
documentation.
%endif

%if %build_json
%description	json
This is a implementation of the JSON specification according to RFC 4627.
You can think of it as a low fat alternative to XML, if you want to store
data to disk or transmit it over a network rather than use a verbose
markup language.
%endif

%if %build_minitest
%description	minitest
minitest/unit is a small and incredibly fast unit testing framework.

minitest/spec is a functionally complete spec engine.

minitest/benchmark is an awesome way to assert the performance of your
algorithms in a repeatable manner.

minitest/mock by Steven Baker, is a beautifully tiny mock object
framework.

minitest/pride shows pride in testing and adds coloring to your test
output.
%endif
  
%description	openssl
OpenSSL provides SSL, TLS and general purpose cryptography. It wraps the
OpenSSL library.

%description	power_assert
Power Assert shows each value of variables and method calls in the expression.
It is useful for testing, providing which value wasn't correct when the
condition is not satisfied.

%description	irb
The irb is acronym for Interactive Ruby.  It evaluates ruby expression
from the terminal.

%if %build_bigdecimal
%description	bigdecimal
Ruby provides built-in support for arbitrary precision integer arithmetic.
For example:

42**13 -> 1265437718438866624512

BigDecimal provides similar support for very large or very accurate floating
point numbers. Decimal arithmetic is also useful for general calculation,
because it provides the correct answers people expect–whereas normal binary
floating point arithmetic often introduces subtle errors because of the
conversion between base 10 and base 2.
%endif

%description	did_you_mean
"did you mean?" experience in Ruby: the error message will tell you the right
one when you misspelled something.

%description	io-console
IO/Console provides very simple and portable access to console. It doesn't
provide higher layer features, such like curses and readline.

%description	psych
Psych is a YAML parser and emitter. Psych leverages
libyaml[http://pyyaml.org/wiki/LibYAML] for its YAML parsing and emitting
capabilities. In addition to wrapping libyaml, Psych also knows how to
serialize and de-serialize most Ruby objects to and from the YAML format.

%description	net-telnet
Provides telnet client functionality.

This class also has, through delegation, all the methods of a socket object
(by default, a TCPSocket, but can be set by the Proxy option to new()). This
provides methods such as close() to end the session and sysread() to read data
directly from the host, instead of via the waitfor() mechanism. Note that if
you do use sysread() directly when in telnet mode, you should probably pass
the output through preprocess() to extract telnet command sequences.

%description	test-unit
This library implements test/unit compatible API on minitest.
The test/unit means that test/unit which was bundled with Ruby 1.8.

%description	xmlrpc
XMLRPC is a lightweight protocol that enables remote procedure calls over
HTTP.

%description	racc
Racc is a LALR(1) parser generator. It is written in Ruby itself, and
generates Ruby program.

%description	bundler
Bundler manages an application's dependencies through its entire life, across
many machines, systematically and repeatably.

%prep
%setup -q -n ruby-%{rubyver} -b11

# Update Bundler to fix CVE-2020-36327.
rm -rf lib/bundler{.rb,}
rm -rf {spec,tool}/bundler
cp -a %{_builddir}/rubygems/bundler/lib/bundler{.rb,} lib/
cp -a %{_builddir}/rubygems/bundler/bundler.gemspec lib/bundler/
cp -a %{_builddir}/rubygems/bundler/spec spec/bundler
cp -a %{_builddir}/rubygems/bundler/tool/bundler tool/bundler

%autopatch -p1

# Remove bundled libraries to be sure they are not used.
rm -rf ext/psych/yaml
rm -rf ext/fiddle/libffi*

%build
autoreconf -vfi
CFLAGS=`echo %optflags | sed 's/-fomit-frame-pointer//'`
%configure --enable-shared --disable-rpath --enable-pthread \
        --enable-multiarch \
        --with-rubylibprefix='%{ruby_libdir}' \
        --with-archlibdir='%{_libdir}' \
        --with-rubyarchprefix='%{ruby_libarchdir}' \
        --with-sitedir='%{ruby_sitelibdir}' \
        --with-sitearchdir='%{ruby_sitearchdir}' \
        --with-vendordir='%{ruby_vendorlibdir}' \
        --with-vendorarchdir='%{ruby_vendorarchdir}' \
        --with-rubyhdrdir='%{_includedir}' \
        --with-rubyarchhdrdir='%{_includedir}' \
        --with-sitearchhdrdir='$(sitehdrdir)/$(arch)' \
        --with-vendorarchhdrdir='$(vendorhdrdir)/$(arch)' \
        --with-rubygemsdir='%{rubygems_dir}' \
        --with-ruby-pc='%{name}.pc' \
        --enable-multiarch \
        --with-compress-debug-sections=no \
        --with-ruby-version='' \
%ifarch aarch64
	--with-setjmp-type=setjmp \
%endif

%make_build Q=

%install
%make_install install-doc

# Version is empty if --with-ruby-version is specified.
# http://bugs.ruby-lang.org/issues/7807
sed -i 's/Version: \${ruby_version}/Version: %{ruby_version}/' %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

# Kill bundled certificates, as they should be part of ca-certificates.
for cert in \
  rubygems.global.ssl.fastly.net/DigiCertHighAssuranceEVRootCA.pem \
  rubygems.org/AddTrustExternalCARoot.pem \
  index.rubygems.org/GlobalSignRootCA.pem
do
  rm %{buildroot}%{rubygems_dir}/rubygems/ssl_certs/$cert
  rm -r $(dirname %{buildroot}%{rubygems_dir}/rubygems/ssl_certs/$cert)
done

# Ensure there is not forgotten any certificate.
test ! "$(ls -A  %{buildroot}%{rubygems_dir}/rubygems/ssl_certs/ 2>/dev/null)"

# Install the rpm macros
mkdir -p %buildroot%{_sysconfdir}/rpm/macros.d
cp %{SOURCE3} %buildroot%{_sysconfdir}/rpm/macros.d

%if %build_rubygems
cp %{SOURCE4} %buildroot%{_sysconfdir}/rpm/macros.d

# Install dependency generators.
mkdir -p %{buildroot}%{_rpmconfigdir}/fileattrs
install -m 644 %{SOURCE8} %{buildroot}%{_rpmconfigdir}/fileattrs
install -m 755 %{SOURCE9} %{buildroot}%{_rpmconfigdir}
install -m 755 %{SOURCE10} %{buildroot}%{_rpmconfigdir}

# Install custom operating_system.rb
mkdir -p %{buildroot}%{rubygems_dir}/rubygems/defaults
cp %{SOURCE1} %{buildroot}%{rubygems_dir}/rubygems/defaults
%else
rm -f %{buildroot}%{_bindir}/gem
rm -f %{buildroot}%{rubygems_dir}/{ubygems.rb,rubygems.rb}
rm -rf %{buildroot}%{rubygems_dir}/rubygems
%endif

# Move gems root into common direcotry, out of Ruby directory structure.
mv %{buildroot}%{ruby_libdir}/gems %{buildroot}%{gem_dir}

# Create folders for gem binary extensions.
mkdir -p %{buildroot}%{_exec_prefix}/lib{,64}/gems/%{name}

# Version is empty if --with-ruby-version is specified.
# http://bugs.ruby-lang.org/issues/7807
sed -i 's/Version: .*/Version: %{rubyver}/' %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

# Move bundled rubygems to %%gem_dir and %%gem_extdir_mri
# make symlinks for io-console and bigdecimal, which are considered to be part of stdlib by other Gems
mkdir -p %{buildroot}%{gem_dir}/gems/irb-%{irb_version}/lib
mv %{buildroot}%{ruby_libdir}/irb* %{buildroot}%{gem_dir}/gems/irb-%{irb_version}/lib
mv %{buildroot}%{gem_dir}/specifications/default/irb-%{irb_version}.gemspec %{buildroot}%{gem_dir}/specifications
ln -s %{gem_dir}/gems/irb-%{irb_version}/lib/irb.rb %{buildroot}%{ruby_libdir}/irb.rb
# TODO: This should be possible to replaced by simple directory symlink
# after ~ F31 EOL (rhbz#1691039).
mkdir -p %{buildroot}%{ruby_libdir}/irb
pushd %{buildroot}%{gem_dir}/gems/irb-%{irb_version}/lib
find irb -type d -mindepth 1 -exec mkdir %{buildroot}%{ruby_libdir}/'{}' \;
find irb -type f -exec ln -s %{gem_dir}/gems/irb-%{irb_version}/lib/'{}' %{buildroot}%{ruby_libdir}/'{}' \;
popd

mkdir -p %{buildroot}%{gem_dir}/gems/rdoc-%{rdoc_version}/lib
mv %{buildroot}%{ruby_libdir}/rdoc* %{buildroot}%{gem_dir}/gems/rdoc-%{rdoc_version}/lib
mv %{buildroot}%{gem_dir}/specifications/default/rdoc-%{rdoc_version}.gemspec %{buildroot}%{gem_dir}/specifications

mkdir -p %{buildroot}%{gem_dir}/gems/bigdecimal-%{bigdecimal_version}/lib
mkdir -p %{buildroot}%{_libdir}/gems/%{name}/bigdecimal-%{bigdecimal_version}/bigdecimal
mv %{buildroot}%{ruby_libdir}/bigdecimal %{buildroot}%{gem_dir}/gems/bigdecimal-%{bigdecimal_version}/lib
mv %{buildroot}%{ruby_libarchdir}/bigdecimal.so %{buildroot}%{_libdir}/gems/%{name}/bigdecimal-%{bigdecimal_version}
mv %{buildroot}%{gem_dir}/specifications/default/bigdecimal-%{bigdecimal_version}.gemspec %{buildroot}%{gem_dir}/specifications
mkdir -p %{buildroot}%{ruby_libdir}/bigdecimal
pushd %{buildroot}%{gem_dir}/gems/bigdecimal-%{bigdecimal_version}/lib
find bigdecimal -type d -mindepth 1 -exec mkdir %{buildroot}%{ruby_libdir}/'{}' \;
find bigdecimal -type f -exec ln -s %{gem_dir}/gems/bigdecimal-%{bigdecimal_version}/lib/'{}' %{buildroot}%{ruby_libdir}/'{}' \;
popd
ln -s %{_libdir}/gems/%{name}/bigdecimal-%{bigdecimal_version}/bigdecimal.so %{buildroot}%{ruby_libarchdir}/bigdecimal.so

# TODO: Put help files into proper location.
# https://bugs.ruby-lang.org/issues/15359
mkdir -p %{buildroot}%{gem_dir}/gems/bundler-%{bundler_version}/lib
mv %{buildroot}%{ruby_libdir}/bundler.rb %{buildroot}%{gem_dir}/gems/bundler-%{bundler_version}/lib
mv %{buildroot}%{ruby_libdir}/bundler %{buildroot}%{gem_dir}/gems/bundler-%{bundler_version}/lib
mv %{buildroot}%{gem_dir}/specifications/default/bundler-%{bundler_version}.gemspec %{buildroot}%{gem_dir}/specifications

mkdir -p %{buildroot}%{gem_dir}/gems/did_you_mean-%{did_you_mean_version}/lib
mv %{buildroot}%{ruby_libdir}/did_you_mean.rb %{buildroot}%{gem_dir}/gems/did_you_mean-%{did_you_mean_version}/lib
mv %{buildroot}%{ruby_libdir}/did_you_mean %{buildroot}%{gem_dir}/gems/did_you_mean-%{did_you_mean_version}/lib
mv %{buildroot}%{gem_dir}/specifications/default/did_you_mean-%{did_you_mean_version}.gemspec %{buildroot}%{gem_dir}/specifications

mkdir -p %{buildroot}%{gem_dir}/gems/io-console-%{io_console_version}/lib
mkdir -p %{buildroot}%{_libdir}/gems/%{name}/io-console-%{io_console_version}/io
mv %{buildroot}%{ruby_libdir}/io %{buildroot}%{gem_dir}/gems/io-console-%{io_console_version}/lib
mv %{buildroot}%{ruby_libarchdir}/io/console.so %{buildroot}%{_libdir}/gems/%{name}/io-console-%{io_console_version}/io
mv %{buildroot}%{gem_dir}/specifications/default/io-console-%{io_console_version}.gemspec %{buildroot}%{gem_dir}/specifications
mkdir -p %{buildroot}%{ruby_libdir}/io
pushd %{buildroot}%{gem_dir}/gems/io-console-%{io_console_version}/lib
find io -type d -mindepth 1 -exec mkdir %{buildroot}%{ruby_libdir}/'{}' \;
find io -type f -exec ln -s %{gem_dir}/gems/io-console-%{io_console_version}/lib/'{}' %{buildroot}%{ruby_libdir}/'{}' \;
popd
ln -s %{_libdir}/gems/%{name}/io-console-%{io_console_version}/io/console.so %{buildroot}%{ruby_libarchdir}/io/console.so

mkdir -p %{buildroot}%{gem_dir}/gems/json-%{json_version}/lib
mkdir -p %{buildroot}%{_libdir}/gems/%{name}/json-%{json_version}
mv %{buildroot}%{ruby_libdir}/json* %{buildroot}%{gem_dir}/gems/json-%{json_version}/lib
mv %{buildroot}%{gem_dir}/specifications/default/json-%{json_version}.gemspec %{buildroot}%{gem_dir}/specifications

# Move the binary extensions into proper place (if no gem has binary extension,
# the extensions directory might be empty).
find %{buildroot}%{gem_dir}/extensions/*-%{_target_os}/%{ruby_version}/* -maxdepth 0 \
  -exec mv '{}' %{buildroot}%{_libdir}/gems/%{name}/ \; \
  || echo "No gem binary extensions to move."

# Move man pages into proper location
mv %{buildroot}%{gem_dir}/gems/rake-%{rake_version}/doc/rake.1 %{buildroot}%{_mandir}/man1

# Exclude is not enough for native extensions as they get debuginfo generated
%if !%build_json
rm -rf %{buildroot}%{ruby_libarchdir}/json
rm -rf %{buildroot}%{_libdir}/gems/%{name}/json-%{json_version}
%endif
%if !%build_bigdecimal
rm -f %{buildroot}%{ruby_libarchdir}/bigdecimal.so
rm -rf %{buildroot}%{_libdir}/gems/%{name}/bigdecimal-%{bigdecimal_version}
%endif
%if !%build_racc
rm -rf %{buildroot}%{ruby_libarchdir}/racc
%endif

# https://github.com/yuki24/did_you_mean/issues/122
rm -rf %{buildroot}%{gem_dir}/gems/did_you_mean-%{did_you_mean_version}/tmp/

# https://github.com/ruby/rake/issues/316
rm -f %{buildroot}%{gem_dir}/gems/rake-%{rake_version}/.gitignore

%check
# test_debug(TestRubyOptions) fails due to LoadError reported in debug mode,
# when abrt.rb cannot be required (seems to be easier way then customizing
# the test suite).
touch abrt.rb

DISABLE_TESTS=""
MSPECOPTS=""

# Avoid `hostname' dependency.
%{!?with_hostname:MSPECOPTS="-P 'Socket.gethostname returns the host name'"}

# Disable "File.utime allows Time instances in the far future to set
# mtime and atime".
# https://bugs.ruby-lang.org/issues/16410
MSPECOPTS="$MSPECOPTS -P 'File.utime allows Time instances in the far future to set mtime and atime'"

# Increase timeout for TestBugReporter#test_bug_reporter_add test, which fails
# quite often.
# https://bugs.ruby-lang.org/issues/16492
%ifarch s390x
sed -i '/assert_in_out_err/ s/)/, timeout: 30)/' test/-ext-/bug_reporter/test_bug_reporter.rb
%endif

#make check TESTS="-v $DISABLE_TESTS" MSPECOPT="-fs $MSPECOPTS"

%files
%{_bindir}/erb
%{_bindir}/ruby
%dir %{ruby_libdir}
%{ruby_libdir}/*.rb
%exclude %{ruby_libdir}/psych.rb
%exclude %{ruby_libdir}/openssl.rb
%{ruby_libdir}/benchmark
%{ruby_libdir}/csv
%{ruby_libdir}/cgi
%{ruby_libdir}/delegate
%{ruby_libdir}/digest
%{ruby_libdir}/drb
%{ruby_libdir}/fiddle
%{ruby_libdir}/forwardable
%{ruby_libdir}/getoptlong
%{ruby_libdir}/logger
%{ruby_libdir}/matrix
%{ruby_libdir}/net
%{ruby_libdir}/observer
%{ruby_libdir}/open3
%{ruby_libdir}/optparse
%{ruby_libdir}/ostruct
%{ruby_libdir}/pstore
%{ruby_libdir}/reline
%{ruby_libdir}/rexml
%{ruby_libdir}/rinda
%{ruby_libdir}/ripper
%{ruby_libdir}/rss
%{ruby_libdir}/singleton
%{ruby_libdir}/syslog
%{ruby_libdir}/timeout
%{ruby_libdir}/tracer
%{ruby_libdir}/unicode_normalize
%{ruby_libdir}/uri
%{ruby_libdir}/webrick
%{ruby_libdir}/yaml
%dir %{ruby_libarchdir}
%{ruby_libarchdir}/cgi/escape.so
%{ruby_libarchdir}/continuation.so
%{ruby_libarchdir}/coverage.so
%{ruby_libarchdir}/date_core.so
%{ruby_libarchdir}/dbm.so
%dir %{ruby_libarchdir}/digest
%{ruby_libarchdir}/digest.so
%{ruby_libarchdir}/digest/*.so
%dir %{ruby_libarchdir}/enc
%{ruby_libarchdir}/enc/*.so
%dir %{ruby_libarchdir}/enc/trans
%{ruby_libarchdir}/enc/trans/*.so
%{ruby_libarchdir}/etc.so
%{ruby_libarchdir}/fcntl.so
%{ruby_libarchdir}/fiber.so
%{ruby_libarchdir}/fiddle.so
%{ruby_libarchdir}/gdbm.so
%dir %{ruby_libarchdir}/io
%{ruby_libarchdir}/io/nonblock.so
%{ruby_libarchdir}/io/wait.so
%{ruby_libarchdir}/monitor.so
%{ruby_libarchdir}/nkf.so
%{ruby_libarchdir}/objspace.so
%{ruby_libarchdir}/pathname.so
%{ruby_libarchdir}/pty.so
%{ruby_libarchdir}/rbconfig.rb
%dir %{ruby_libarchdir}/rbconfig
%{ruby_libarchdir}/rbconfig/*.so
%{ruby_libarchdir}/readline.so
%{ruby_libarchdir}/ripper.so
%{ruby_libarchdir}/sdbm.so
%{ruby_libarchdir}/socket.so
%{ruby_libarchdir}/stringio.so
%{ruby_libarchdir}/strscan.so
%{ruby_libarchdir}/syslog.so
%{ruby_libarchdir}/zlib.so
%{_mandir}/man1/erb.1.*
%{_mandir}/man1/ruby.1.*
%{_sysconfdir}/rpm/macros.d/ruby.macros
%{_datadir}/ruby/vendor_ruby
%{_libdir}/ruby/vendor_ruby
%dir %{gem_dir}/specifications/default
# TODO: Split those out
%{gem_dir}/specifications/default/benchmark-%{benchmark_version}.gemspec
%{gem_dir}/specifications/default/cgi-%{cgi_version}.gemspec
%{gem_dir}/specifications/default/csv-%{csv_version}.gemspec
%{gem_dir}/specifications/default/date-%{date_version}.gemspec
%{gem_dir}/specifications/default/dbm-%{dbm_version}.gemspec
%{gem_dir}/specifications/default/delegate-%{delegate_version}.gemspec
%{gem_dir}/specifications/default/etc-%{etc_version}.gemspec
%{gem_dir}/specifications/default/fcntl-%{fcntl_version}.gemspec
%{gem_dir}/specifications/default/fiddle-%{fiddle_version}.gemspec
%{gem_dir}/specifications/default/fileutils-%{fileutils_version}.gemspec
%{gem_dir}/specifications/default/forwardable-%{forwardable_version}.gemspec
%{gem_dir}/specifications/default/gdbm-%{gdbm_version}.gemspec
%{gem_dir}/specifications/default/getoptlong-%{getoptlong_version}.gemspec
%{gem_dir}/specifications/default/ipaddr-%{ipaddr_version}.gemspec
%{gem_dir}/specifications/default/logger-%{logger_version}.gemspec
%{gem_dir}/specifications/default/matrix-%{matrix_version}.gemspec
%{gem_dir}/specifications/default/mutex_m-%{mutex_m_version}.gemspec
%{gem_dir}/specifications/default/net-pop-%{net_pop_version}.gemspec
%{gem_dir}/specifications/default/net-smtp-%{net_smtp_version}.gemspec
%{gem_dir}/specifications/default/observer-%{observer_version}.gemspec
%{gem_dir}/specifications/default/open3-%{open3_version}.gemspec
%{gem_dir}/specifications/default/ostruct-%{ostruct_version}.gemspec
%{gem_dir}/specifications/default/prime-%{prime_version}.gemspec
%{gem_dir}/specifications/default/pstore-%{pstore_version}.gemspec
%{gem_dir}/specifications/default/readline-%{readline_version}.gemspec
%{gem_dir}/specifications/default/readline-ext-%{readline_ext_version}.gemspec
%{gem_dir}/specifications/default/reline-%{reline_version}.gemspec
%{gem_dir}/specifications/default/rexml-%{rexml_version}.gemspec
%{gem_dir}/specifications/default/rss-%{rss_version}.gemspec
%{gem_dir}/specifications/default/sdbm-%{sdbm_version}.gemspec
%{gem_dir}/specifications/default/singleton-%{singleton_version}.gemspec
%{gem_dir}/specifications/default/stringio-%{stringio_version}.gemspec
%{gem_dir}/specifications/default/strscan-%{strscan_version}.gemspec
%{gem_dir}/specifications/default/timeout-%{timeout_version}.gemspec
%{gem_dir}/specifications/default/tracer-%{tracer_version}.gemspec
%{gem_dir}/specifications/default/uri-%{uri_version}.gemspec
%{gem_dir}/specifications/default/webrick-%{webrick_version}.gemspec
%{gem_dir}/specifications/default/yaml-%{yaml_version}.gemspec
%{gem_dir}/specifications/default/zlib-%{zlib_version}.gemspec

%files doc
%{_datadir}/ri
%{_datadir}/doc/ruby

%files -n %{libname}
%{_libdir}/libruby.so.%{subver}
%{_libdir}/libruby.so.%{rubyapi}

%files devel
%{_includedir}/*
%{_libdir}/libruby.so
%{_libdir}/pkgconfig/*.pc

%files irb
%{_bindir}/irb
%{ruby_libdir}/irb
%{_mandir}/man1/irb.1*
%{gem_dir}/specifications/irb-%{irb_version}.gemspec
%{gem_dir}/gems/irb-%{irb_version}

%files power_assert
%{gem_dir}/gems/power_assert-%{power_assert_version}
%{gem_dir}/specifications/power_assert-%{power_assert_version}.gemspec

%files io-console
%{ruby_libdir}/io
%{ruby_libarchdir}/io/console.so
%{_libdir}/gems/ruby/io-console-%{io_console_version}
%{gem_dir}/gems/io-console-%{io_console_version}
%{gem_dir}/specifications/io-console-%{io_console_version}.gemspec

%files test-unit
%{gem_dir}/gems/test-unit-*
%{gem_dir}/specifications/test-unit-%{test_unit_version}.gemspec

%if %build_rubygems
%files RubyGems
%{_bindir}/gem
%{_sysconfdir}/rpm/macros.d/rubygems.macros
%dir %{rubygems_dir}
%{rubygems_dir}/rubygems
%{rubygems_dir}/rubygems.rb
%{_rpmconfigdir}/fileattrs/rubygems.attr
%{_rpmconfigdir}/rubygems.req
%{_rpmconfigdir}/rubygems.prov
%dir %{gem_dir}
%dir %{gem_dir}/build_info
%dir %{gem_dir}/cache
%dir %{gem_dir}/doc
%dir %{gem_dir}/extensions
%dir %{gem_dir}/gems
%dir %{gem_dir}/specifications
%{_mandir}/man5/gemfile.5*
%endif
%exclude %{gem_dir}/cache/*

%if %build_minitest
%files minitest
%endif
%exclude_minitest %{gem_dir}/gems/minitest-%{minitest_version}
%exclude_minitest %{gem_dir}/specifications/minitest-%{minitest_version}.gemspec

%if %build_rake
%files rake
%endif
%exclude_rake %{_bindir}/rake
%exclude_rake %{_mandir}/man1/rake.1.*
%exclude_rake %{gem_dir}/gems/rake-%{rake_version}
%exclude_rake %{gem_dir}/specifications/rake-%{rake_version}.gemspec

%if %build_rdoc
%files rdoc
%endif
%exclude_rdoc %{_bindir}/rdoc
%exclude_rdoc %{_bindir}/ri
%exclude_rdoc %{_mandir}/man1/ri.1.*
%exclude_rdoc %{gem_dir}/gems/rdoc-%{rdoc_version}
%exclude_rdoc %{gem_dir}/specifications/rdoc-%{rdoc_version}.gemspec

%if %build_json
%files json
%{ruby_libarchdir}/json
%{_libdir}/gems/ruby/json-%{json_version}
%endif
%exclude_json %{gem_dir}/gems/json-%{json_version}
%exclude_json %{gem_dir}/specifications/json-%{json_version}.gemspec

%if %build_bigdecimal
%files bigdecimal
%{ruby_libarchdir}/bigdecimal.so
%{_libdir}/gems/ruby/bigdecimal-%{bigdecimal_version}
%endif
%exclude_bigdecimal %{ruby_libdir}/bigdecimal
%exclude_bigdecimal %{gem_dir}/gems/bigdecimal-%{bigdecimal_version}
%exclude_bigdecimal %{gem_dir}/specifications/bigdecimal-%{bigdecimal_version}.gemspec

%files openssl
%{ruby_libdir}/openssl
%{ruby_libdir}/openssl.rb
%{ruby_libarchdir}/openssl.so
%{gem_dir}/specifications/default/openssl-%{openssl_version}.gemspec

%files psych
%{ruby_libdir}/psych
%{ruby_libdir}/psych.rb
%{ruby_libarchdir}/psych.so
%{gem_dir}/specifications/default/psych-%{psych_version}.gemspec

%files did_you_mean
%{gem_dir}/gems/did_you_mean-%{did_you_mean_version}
%exclude %{gem_dir}/gems/did_you_mean-%{did_you_mean_version}/.*
%{gem_dir}/specifications/did_you_mean-%{did_you_mean_version}.gemspec

%files net-telnet
%{gem_dir}/gems/net-telnet-%{net_telnet_version}
%exclude %{gem_dir}/gems/net-telnet-%{net_telnet_version}/.*
%{gem_dir}/specifications/net-telnet-%{net_telnet_version}.gemspec

%files xmlrpc
%{gem_dir}/gems/xmlrpc-%{xmlrpc_version}
%{gem_dir}/specifications/xmlrpc-%{xmlrpc_version}.gemspec

%if %build_racc
%files racc
%endif
%exclude_racc %{ruby_libdir}/racc
%exclude_racc %{ruby_libarchdir}/racc
%exclude_racc %{_bindir}/*racc*
%exclude_racc %{gem_dir}/gems/racc-%{racc_version}
%exclude_racc %{gem_dir}/specifications/default/racc-%{racc_version}.gemspec

%files bundler
%{_bindir}/bundle
%{_bindir}/bundler
%{gem_dir}/gems/bundler-%{bundler_version}
%{gem_dir}/specifications/bundler-%{bundler_version}.gemspec
%{_mandir}/man1/bundle*



%changelog
* Sun Mar 13 2022 neoclust <neoclust> 2.7.5-33.3.mga8
+ Revision: 1790712
- Add P100: Fixes CVE-2021-43809 (mga#30162)
+ pterjan <pterjan>
- Update Bundler to 2.2.24 to fix CVE-2020-36327
- Update to 2.7.5 (fixes CVE-2021-28965,
  CVE-2021-31810, CVE-2021-32066, CVE-2021-31799,
  CVE-2021-41817, CVE-2021-41816, CVE-2021-41819)

* Tue Nov 10 2020 pterjan <pterjan> 2.7.2-33.mga8
+ Revision: 1644398
- Dependency generator now wants ruby(release) which is the package with ruby libs

* Sat Oct 17 2020 pterjan <pterjan> 2.7.2-32.mga8
+ Revision: 1636656
- Update to 2.7.2

* Mon Jun 22 2020 joequant <joequant> 2.7.1-31.mga8
+ Revision: 1598468
- rebuild

* Sun Jun 21 2020 wally <wally> 2.7.1-30.mga8
+ Revision: 1598349
- add patch to fix build with autoconf git
+ martinw <martinw>
- rebuild for new libffi major

* Sun Apr 05 2020 pterjan <pterjan> 2.7.1-29.mga8
+ Revision: 1564990
- Revert accidental changes to uby-2.1.0-custom-rubygems-location.patch
- Update to 2.7.1

* Sat Mar 28 2020 pterjan <pterjan> 2.7.0-28.mga8
+ Revision: 1561998
- Disable minitest, the gem was updated to a new version
- Fix racc accidentally also being in bundler
- Stop building racc, gem has been updated to a newer version

* Wed Mar 04 2020 pterjan <pterjan> 2.7.0-27.mga8
+ Revision: 1553852
- Set cflags/cxxflags/ldflags when building gems

* Mon Mar 02 2020 pterjan <pterjan> 2.7.0-26.mga8
+ Revision: 1553058
- Require did_you_mean which is unfortunately mandatory

* Mon Mar 02 2020 pterjan <pterjan> 2.7.0-25.mga8
+ Revision: 1553045
- Update gem_build to use --document=ri,rdoc instead of --rdoc --ri

* Mon Mar 02 2020 pterjan <pterjan> 2.7.0-24.mga8
+ Revision: 1553038
- Fix some directories replaced with symlinks

* Mon Mar 02 2020 pterjan <pterjan> 2.7.0-23.mga8
+ Revision: 1552752
- Sync a bit more with fedora, in particular moving some files to a better place
- Update file lists and various other fixes
- Add some test workarounds from Fedora
- Update to 2.7.0 and sync patches from Fedora

* Wed Feb 19 2020 umeabot <umeabot> 2.5.7-22.mga8
+ Revision: 1542336
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 2.5.7-21.mga8
+ Revision: 1476009
- rebuild for readline
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Dec 22 2019 pterjan <pterjan> 2.5.7-20.mga8
+ Revision: 1469562
- Add upstream patch fixing tests with recent openssl
- Update to 2.5.7 (my work on 2.6.5 is still not finished and 2.7 is arriving this month...)

* Sun Oct 21 2018 pterjan <pterjan> 2.5.3-20.mga7
+ Revision: 1323468
- Update to 2.5.3

* Sun Sep 23 2018 umeabot <umeabot> 2.5.1-19.mga7
+ Revision: 1300870
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 luigiwalser <luigiwalser> 2.5.1-18.mga7
+ Revision: 1237492
- rebuild for gdbm

* Sun Apr 29 2018 pterjan <pterjan> 2.5.1-17.mga7
+ Revision: 1223656
- Drop rdoc, we have a newer gem
- Update to 2.5.1
+ wally <wally>
- sync .spec a bit with Fedora for aarch64
- add patch from upstream to increase timeout for test_clear_unreachable_keyword_args to fix aarch64 build error

* Sat Jan 06 2018 pterjan <pterjan> 2.5.0-16.mga7
+ Revision: 1190623
- Sync patches with Fedora

* Mon Jan 01 2018 pterjan <pterjan> 2.5.0-8.mga7
+ Revision: 1188892
- Adapt upstream patch to fix a segfault

* Mon Jan 01 2018 pterjan <pterjan> 2.5.0-7.mga7
+ Revision: 1188465
- Rebuild for Ruby 2.5

* Sun Dec 31 2017 pterjan <pterjan> 2.5.0-6.mga7
+ Revision: 1188444
- Fix my workaround...

* Sun Dec 31 2017 pterjan <pterjan> 2.5.0-5.mga7
+ Revision: 1188438
- Workaround loadpath issue

* Sun Dec 31 2017 pterjan <pterjan> 2.5.0-4.mga7
+ Revision: 1188425
- Increase release as net-telnet didn't change version
- Update to 2.5.0

* Sat Dec 30 2017 luigiwalser <luigiwalser> 2.4.3-3.mga7
+ Revision: 1188060
- 2.4.3

* Sun Dec 03 2017 josh <josh> 2.4.2-2.mga7
+ Revision: 1180909
- Bump version to rebuild against libreadline.so.7
- Replace devel BuildRequires with pkgconfig

* Thu Oct 05 2017 pterjan <pterjan> 2.4.2-1.mga7
+ Revision: 1169199
- Fix file lists
- Update openssl version
- fix lib version
- Update to 2.4.2

* Sun Sep 17 2017 pterjan <pterjan> 2.4.1-15.mga7
+ Revision: 1155105
- Fix tests failing on the build system
- Fix build with some disabled extensions and restore tests
- json is now in a separate package

* Thu Sep 14 2017 pterjan <pterjan> 2.4.1-14.mga7
+ Revision: 1153712
- Add missing openssl.rb

* Sat Sep 02 2017 pterjan <pterjan> 2.4.1-13.mga7
+ Revision: 1150973
- Require rubygems, ruby is very upset without it

* Fri Sep 01 2017 pterjan <pterjan> 2.4.1-12.mga7
+ Revision: 1150389
- I failed to disable the building of unwanted extensions/gems so exclude the files
- Disable more updated subpackages
- Fix doubly packages psych files
- Disable rubygems package to update it separately
- Few more moves
- Move more things to rubygems package
- Move back rubygems.macros to rubygems package

* Tue Aug 15 2017 pterjan <pterjan> 2.4.1-9.mga7
+ Revision: 1141087
- Add macros from fedora to add/remove gem dependencies

* Tue Aug 15 2017 pterjan <pterjan> 2.4.1-8.mga7
+ Revision: 1140696
- Add one more dependency

* Tue Aug 15 2017 pterjan <pterjan> 2.4.1-7.mga7
+ Revision: 1140659
- gem install into BUILD dir, build in the build section, and manually copy files. That fixes finding sources for debuginfo

* Tue Aug 15 2017 pterjan <pterjan> 2.4.1-6.mga7
+ Revision: 1140636
- Add another missing dependency
- Make gem install verbose and use --build-root
- Add another missing dependency

* Mon Aug 14 2017 pterjan <pterjan> 2.4.1-5.mga7
+ Revision: 1140361
- Manually add dependencies, they generators are in this package which is not installed during build

* Mon Aug 14 2017 pterjan <pterjan> 2.4.1-4.mga7
+ Revision: 1140339
- Fix json conflict
- Fix file list
- Add back rubygems.macros

* Mon Aug 14 2017 pterjan <pterjan> 2.4.1-2.mga7
+ Revision: 1140286
- Fix group

* Mon Aug 14 2017 pterjan <pterjan> 2.4.1-1.mga7
+ Revision: 1140278
- Fix file list
- Move json.rb to the right subpackage
- Fix some missed renames
- Simplify package, always bootstrap (fixes gem tests), and add new packages
- tk is gone
- Disable one more gem test, I still haven't found why they fail
- Use gem_dir instead of gems_dir, to be closer to fedora, and use global in more places
- Revert some local tests
- Update to 2.4.1 and pull in a bunch a Fedora changes
- Backport fix for CVE-2016-2339
- Update to latest bugfix release of 2.2 branch
- Run all tests during build (except the gem ones that need to be checked/fixed)
- Fix test_empty_data with CVE-2016-7798 patch

* Sun Oct 09 2016 pterjan <pterjan> 2.2.5-15.mga6
+ Revision: 1059716
- Add patch for CVE-2016-7798

* Thu Sep 08 2016 luigiwalser <luigiwalser> 2.2.5-14.mga6
+ Revision: 1050451
- 2.2.5 (sync with f22)

* Thu Mar 03 2016 umeabot <umeabot> 2.2.4-13.mga6
+ Revision: 984820
- Rebuild for openssl
+ pterjan <pterjan>
- Please perl-Youri-Package-RPM-Updater

* Tue Dec 29 2015 pterjan <pterjan> 2.2.4-12.mga6
+ Revision: 916704
- Bump release for subpackages which did not change version :(
- Update to 2.2.4
- Rever the io-console change, separate gem is older
- Don't ship io-console, we have a separate package

* Sat Dec 19 2015 pterjan <pterjan> 2.2.3-11.mga6
+ Revision: 912333
- Do not ship rake.rb, rdoc.rb and psych.rb in main package

* Sun Nov 01 2015 pterjan <pterjan> 2.2.3-10.mga6
+ Revision: 897270
- Ship all subpackages that are not packages separately

* Sat Oct 24 2015 pterjan <pterjan> 2.2.3-9.mga6
+ Revision: 895045
- Fix dependencies and disable gem subpackages

* Fri Oct 23 2015 pterjan <pterjan> 2.2.3-8.mga6
+ Revision: 894524
- Avoid file conflicts

* Fri Oct 23 2015 pterjan <pterjan> 2.2.3-7.mga6
+ Revision: 894486
- Force provides
- Provide the same ruby(abi) that we require

* Fri Oct 23 2015 pterjan <pterjan> 2.2.3-6.mga6
+ Revision: 894469
- Rebuild 2/2 to get proper dependencies

* Fri Oct 23 2015 pterjan <pterjan> 2.2.3-5.mga6
+ Revision: 894465
- Rebuild 1/2 to get proper dependencies
- Update gems path in the dependency extractor

* Fri Oct 23 2015 pterjan <pterjan> 2.2.3-4.mga6
+ Revision: 894460
- re enable bootstrap
- use the defined release_string macro (and fix it)
- build gems to allow bootstrap
- various fixes and cleanups, not yet tested if more are needed
+ blino <blino>
- rebuild with bootstrap since RubyGems should be installable again

* Fri Oct 23 2015 blino <blino> 2.2.3-2.mga6
+ Revision: 894369
- remove gems cache (build was failing only in bootstrap mode before, now fails everytime since we do not install bundles in removed home dir anymore)
- stop removing gem dir in home now that all install paths should be ok
- update do-not-install-to-user-dir to handle bundle gems as well
- rebuild in bootstrap mode to be able to rebuild ruby-json which is required by ruby-RubyGems and thus ruby
+ pterjan <pterjan>
- Fix file list
- Fix regex

* Wed Oct 21 2015 shlomif <shlomif> 2.2.3-1.mga6
+ Revision: 893775
- New version 2.2.3 - synced in part from Fedora.
+ pterjan <pterjan>
- Fix dependency extraction
- Better patch fix for bootstrap

* Sat Oct 17 2015 pterjan <pterjan> 2.0.0.p645-5.mga6
+ Revision: 892281
- Define gems_dir in ruby package as it is used in rubygems.attr and we don't require Rubygems in bootstrap mode

* Fri Oct 16 2015 pterjan <pterjan> 2.0.0.p645-4.mga6
+ Revision: 892256
- fix user-dir patch to work in bootstrap

* Sun Oct 11 2015 pterjan <pterjan> 2.0.0.p645-3.mga6
+ Revision: 889596
- Add upstream patch to support Tk 8.6
+ tv <tv>
- rebuild for tk 8.6
+ daviddavid <daviddavid>
- rebuild for new tcl/tk 8.6.4

* Thu Apr 30 2015 pterjan <pterjan> 2.0.0.p645-1.mga5
+ Revision: 820881
- Drop applied patch
- Update to p645 (CVE-2015-1855)

* Fri Nov 14 2014 pterjan <pterjan> 2.0.0.p598-1.mga5
+ Revision: 796908
- Update to 2.0.0-p598 (CVE-2014-8090)
+ luigiwalser <luigiwalser>
- add upstream patch to fix CVE-2014-4975

* Mon Oct 27 2014 pterjan <pterjan> 2.0.0.p594-1.mga5
+ Revision: 793866
- 2.0.0-p594 (CVE-2014-8080 + Insecure SSL/TLS options are now turn off by default + many bug fixes)

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0.p451-6.mga5
+ Revision: 748136
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0.p451-5.mga5
+ Revision: 688736
- Mageia 5 Mass Rebuild

* Thu Sep 11 2014 tv <tv> 2.0.0.p451-4.mga5
+ Revision: 674762
- move rubygem req/prov generator in ruby instead of -devel subpackage
  (this one is actually required by gems but not always -devel)

* Mon Sep 08 2014 tv <tv> 2.0.0.p451-3.mga5
+ Revision: 673709
- add RPM dependency generators for RubyGems

* Mon Apr 21 2014 pterjan <pterjan> 2.0.0.p451-2.mga5
+ Revision: 617250
- Fix version in pkg-config file (mga#13240)

* Mon Mar 10 2014 pterjan <pterjan> 2.0.0.p451-1.mga5
+ Revision: 601635
- Add upstream patch to fix build with new readline
- Patch to force installing bundled gems to system directory even if build is running as user
- Drop patch already applied
- Add fedora patch preventing potential multilib conflict
- Update to p451

* Fri Dec 27 2013 pterjan <pterjan> 2.0.0.p247-8.mga4
+ Revision: 560987
- Fix use of wrong macro now that they are different
- Move rubygems out of gems dir as this brakes bundler

* Sat Nov 23 2013 fwang <fwang> 2.0.0.p247-7.mga4
+ Revision: 552441
- add upstream patch to fix CVE-2013-4164

* Mon Oct 21 2013 umeabot <umeabot> 2.0.0.p247-6.mga4
+ Revision: 538717
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 2.0.0.p247-5.mga4
+ Revision: 490240
- fix issues with DESTDIR (patch from fedora)
+ pterjan <pterjan>
- Switch to Ruby 2
- Grrr failed again

* Wed Aug 21 2013 fwang <fwang> 2.0.0.p247-4.mga4
+ Revision: 468908
- do not build bootstrap
- rebuild to drop temporary obsoletes
- temporarily obsolete newly built packages
- move into current


* Sun Dec 26 2010 Funda Wang <fwang@mandriva.org> 1.8.7.p330-1mdv2011.0
+ Revision: 625126
- new version 1.8.7-p330

* Sun Dec 19 2010 Rémy Clouard <shikamaru@mandriva.org> 1.8.7.p302-3mdv2011.0
+ Revision: 623192
- add ruby(abi) provides

* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 1.8.7.p302-2mdv2011.0
+ Revision: 604336
- rebuild for new zlib

* Fri Aug 20 2010 Funda Wang <fwang@mandriva.org> 1.8.7.p302-1mdv2011.0
+ Revision: 571401
- new version 1.8.7 p302

* Fri Jul 09 2010 Funda Wang <fwang@mandriva.org> 1.8.7.p299-1mdv2011.0
+ Revision: 549887
- New version 1.8.7-p299 (drop merged patches)

* Fri Jun 18 2010 Pascal Terjan <pterjan@mandriva.org> 1.8.7.p249-4mdv2010.1
+ Revision: 548298
- Own doc dir in -doc package too, so that it gets removed (#59831)

* Mon Apr 05 2010 Funda Wang <fwang@mandriva.org> 1.8.7.p249-3mdv2010.1
+ Revision: 531719
- add arch patch to build with openssl 1.0.0
- rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.7.p249-2mdv2010.1
+ Revision: 511635
- rebuilt against openssl-0.9.8m

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix annoying '`*' interpreted as argument prefix' warning with pathname (P4)

* Sun Jan 10 2010 Funda Wang <fwang@mandriva.org> 1.8.7.p249-1mdv2010.1
+ Revision: 488839
- new patch series p249

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 1.8.7.p248-1mdv2010.1
+ Revision: 486008
- 1.8.7-p248
- move patchversion into version tag, so that releases become real releases

* Fri Jan 01 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.7-10p174mdv2010.1
+ Revision: 484729
- rebuilt against bdb 4.8

* Tue Jun 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1.8.7-9p174mdv2010.0
+ Revision: 386433
- Update to new version 1.8.7-p174

* Sat Jun 13 2009 Frederik Himpe <fhimpe@mandriva.org> 1.8.7-9p173mdv2010.0
+ Revision: 385730
- Update to new version 1.8.7-p173

* Tue May 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.8.7-9p160mdv2010.0
+ Revision: 374964
- Update to version 1.8.7-p160 (fixes CVE-2007-1558 and CVE-2008-1447)
- Remove patch for compilation with gcc 4.3: integrated upstream

* Thu Feb 26 2009 Pascal Terjan <pterjan@mandriva.org> 1.8.7-9p72mdv2009.1
+ Revision: 345172
- Rediff lib64 patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild for new libreadline

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 1.8.7-8p72mdv2009.1
+ Revision: 311085
- rebuild for new tcl

* Thu Sep 11 2008 Pixel <pixel@mandriva.com> 1.8.7-7p72mdv2009.0
+ Revision: 283683
- explicitly provide /usr/bin/ruby
  (since such requires are automatically added by find-requires) (#42316)

* Wed Aug 13 2008 Frederik Himpe <fhimpe@mandriva.org> 1.8.7-6p72mdv2009.0
+ Revision: 271536
- Update ruby 1.8.7 to patchlevel 72 (fixes CVE-2008-1447,
  CVE-2008-3655, CVE-2008-3656, CVE-2008-3657)
- Remove CVE-2008-2376 patch: fix integrated upstream

* Thu Jul 10 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.8.7-5p22mdv2009.0
+ Revision: 233280
- 1.8.7-p22
  . security fixes for CVE-2008-2662, CVE-2008-2663, CVE-2008-2664,
    CVE-2008-2725, CVE-2008-2726
- P4: fix for CVE-2008-2376

* Tue Jun 10 2008 Pascal Terjan <pterjan@mandriva.org> 1.8.7-4p17mdv2009.0
+ Revision: 217724
- Filter -Wl,--no-undefined from CFLAGS used by mkmf

* Tue Jun 10 2008 Pascal Terjan <pterjan@mandriva.org> 1.8.7-3p17mdv2009.0
+ Revision: 217392
- Really fix archdir on x86_64

* Tue Jun 10 2008 Pascal Terjan <pterjan@mandriva.org> 1.8.7-2p17mdv2009.0
+ Revision: 217351
- Fix archdir on x86_64

* Tue Jun 10 2008 Pascal Terjan <pterjan@mandriva.org> 1.8.7-1p17mdv2009.0
+ Revision: 217304
- Add macros ruby_vendorarchdir and ruby_vendorlibdir
- Update to p17

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 09 2008 Pascal Terjan <pterjan@mandriva.org> 1.8.7-1mdv2009.0
+ Revision: 217004
- Enforce vendor_ruby in /usr/lib
- Add linux-gnu to search path
- 1.8.7
- Drop P2 and P26
- Update P0
- Enforce sitedir to be in /usr/lib

* Fri May 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8.6-12p114mdv2009.0
+ Revision: 210416
- bump release

* Fri May 23 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.8.6-11p114mdv2009.0
+ Revision: 210214
- added ruby-1.8.6p114-mdv,svn-tk85-gcc43.patch: fix tk extension build for
  tcl/tk 8.5, required with GCC 4.3
- fixed use of host_os, which should be target_os, in files lists

  + Oden Eriksson <oeriksson@mandriva.com>
    - added a gcc43 patch from fedora

* Mon Mar 10 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.8.6-9p114mdv2008.1
+ Revision: 183218
- new patch version p114
- Patch3 (ruby-1.8.6-p111-rexml-trans) applied upstream
- made the patch version visible in the Release tag
- fixed License tag following policy

* Fri Feb 22 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.8.6-8mdv2008.1
+ Revision: 173813
- fixes a variable name in REXML code, pointed by Guillaume Cottenceau

* Mon Jan 28 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.8.6-7mdv2008.1
+ Revision: 159036
- updated to ruby-1.8.6-p111 (fixes CVE-2007-5162)
- removed Patch2 (ruby-rdoc_graphviz), fixed upstream a little differently
- removed Patch3 (rexml-double-encoding), applied upstream
- Patch2 (CVE-2007-5770 fix), from Suse, minus CVE-2007-5162 fixes; ruby
  1.8.6 doesn't seem to have SSL support in smtp.rb and pop.rb
- -doc subpackage doesn't requires main package

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1.8.6-6mdv2008.1
+ Revision: 136344
- rebuilt against new build deps

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 1.8.6-5mdv2008.0
+ Revision: 82045
- rebuild for new soname of tcl

* Thu Jun 07 2007 Guillaume <gc@mandriva.com> 1.8.6-4mdv2008.0
+ Revision: 36514
- add patch3: Fix REXML wrongly saving XML special chars as doubly escaped entities

  + Pascal Terjan <pterjan@mandriva.org>
    - Be more consistant in the macros

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Remove double BR

* Mon Apr 23 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.8.6-3mdv2008.0
+ Revision: 17162
- Fix BuildRequires (tk-devel instead of libx11-devel)

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.8.6-2mdv2008.0
+ Revision: 16751
- BuildRequires libx11-devel until tk-devel get fixed
- Use Development/Ruby group
- Fix the dot -V parsing in rdoc for recent graphviz


* Sat Apr 07 2007 Pascal Terjan <pterjan@mandriva.org> 1.8.6-1mdv2007.1
+ Revision: 151012
- 1.8.6
- drop p3 and p4
- uncompress and update p0 and p1

* Mon Dec 18 2006 Gustavo De Nardin <gustavodn@mandriva.com> 1.8.5-5mdv2007.1
+ Revision: 98532
- Mostly build changes:
- dependencies fixes
  . don't need full XFree86-devel, tcl/tk devel packages should be enough
  . add missing zlib1-devel BuildRequires, which before was probably being
    provided indirectly by XFree86-devel
- avoid use of non-ascii chars in spec (parameter separator for sed command)
- avoid implicitly requiring Perl for build (for filtering devel and tk
  files)
- use file lists instead of shell loops for fixing permissions, for shorter
  build time

* Wed Dec 06 2006 Pascal Terjan <pterjan@mandriva.org> 1.8.5-4mdv2007.1
+ Revision: 91863
- CVE-2006-6303

* Mon Oct 30 2006 Pascal Terjan <pterjan@mandriva.org> 1.8.5-3mdv2007.1
+ Revision: 73677
- CVE-2006-5467
- Import ruby

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.8.5-2mdv2007.0
- Rebuild

* Sat Aug 26 2006 Pascal Terjan <pterjan@mandriva.org> 1.8.5-1mdv2007.0
- 1.8.5
- Drop P2, P3, P4, P5, P6

* Wed Aug 23 2006 Pascal Terjan <pterjan@mandriva.org> 1.8.4-7mdv2007.0
- CVE-2006-3694 (P4, P5, P6)
- Fix macros in changelog
- Move make test into %%check

* Sun Jul 16 2006 Guillaume Cottenceau 1.8.4-6mdv2007.0
- author patch3 since even ruby authors don't care to ship a badly broken
  rexml for several months

* Sat May 20 2006 Laurent MONTEL <lmontel@mandriva.com> 1.8.4-5
- Add patch2 (patch from opensuse): don't redefine eaccess (it's into new glibc)

* Thu Mar 09 2006 Pascal Terjan <pterjan@mandriva.org> 1.8.4-4mdk
- BuildRequire openssl-devel

* Tue Feb 14 2006 Pascal Terjan <pterjan@mandriva.org> 1.8.4-3mdk
- Move /etc/rpm/ruby.macros to main package. It is required to build a lot
  of noarch package which do not need -devel.

* Thu Feb 09 2006 Pascal Terjan <pterjan@mandriva.org> 1.8.4-2mdk
- Provide /etc/rpm/ruby.macros with usual macros

* Fri Jan 27 2006 Pascal Terjan <pterjan@mandriva.org> 1.8.4-1mdk
- 1.8.4
- Update P0

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-5mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps
- enable threading (--enable-pthread)

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-4mdk
- rebuilt against openssl-0.9.8a

* Fri Nov 04 2005 Michael Scherer <misc@mandriva.org> 1.8.3-3mdk
- mkrel

* Thu Oct 06 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.8.3-2mdk
- ppc64 fixes

* Sat Oct 01 2005 Pascal Terjan <pterjan@mandriva.org> 1.8.3-1mdk
- 1.8.3
- Drop P2
- Update P1
- Fix requires-on-release

* Wed Jul 13 2005 Pascal Terjan <pterjan@mandriva.org> 1.8.2-7mdk
- CAN-2005-1992 (P2)
- Fix interpreter and rights on samples

* Thu Mar 31 2005 Pascal Terjan <pterjan@mandrake.org> 1.8.2-6mdk
- put and search everything in %%{_prefix}/lib/ruby/ even on x86_64, else all
  noarch packages won't work

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8.2-5mdk
- rebuild for new readline

* Tue Jan 18 2005 Götz Waschk <waschk@linux-mandrake.com> 1.8.2-4mdk
- force build with libgdbm3

* Sat Jan 15 2005 Pixel <pixel@mandrakesoft.com> 1.8.2-3mdk
- add ri doc (bugzilla #12976)

* Sun Jan 02 2005 Pascal Terjan <pterjan@mandrake.org> 1.8.2-2mdk
- Disable rpath

* Fri Dec 31 2004 Pascal Terjan <pterjan@mandrake.org> 1.8.2-1mdk
- 1.8.2

* Wed Dec 08 2004 Götz Waschk <waschk@linux-mandrake.com> 1.8.1-5mdk
- rebuild for libgdbm3

* Tue Aug 31 2004 Götz Waschk <waschk@linux-mandrake.com> 1.8.1-4mdk
- build with db 4.2

* Tue Jun 29 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.8.1-2mdk
- BuildRequires: tcl

